Fix request to kadeployapi when asking for a specific environment

As we can request g5k-api for a specific environment description, it can
be a previous version of that environment. The request to Kadeploy's api
should be without '?last' to get all the available environments.

Fixes bug #13371
3 jobs for bugs/#13371 in 18 minutes and 12 seconds (queued for 1 second)
Status Job ID Name Coverage
  Lint
passed #1379930
grid5000-docker
rubocop

00:01:37

 
  Test
passed #1379931
grid5000-docker
test-for-buster

00:08:26

80.75%
 
  Deb
passed #1379932
grid5000-docker
deb-for-buster

00:08:08